.\" Copyright (c) 1980, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)nice.1	8.1 (Berkeley) 6/6/93
.\" $FreeBSD: src/usr.bin/nice/nice.1,v 1.1.1.1.8.5 1999/09/05 11:32:57 peter Exp $
.\"
.Dd June 6, 1993
.Dt NICE 1
.Os BSD 4
.Sh NAME
.Nm nice
.Nd execute a command at a low scheduling priority
.Sh SYNOPSIS
.Nm
.Op Fl Ns Ar number
.Ar command
.Op Ar arguments
.Sh DESCRIPTION
.Nm Nice
runs
.Ar command
at a low priority.
(Think of low and slow).
If
.Fl Ns Ar number
is not given
.Nm 
assumed the value 10.
The priority is a value in the range -20 to 20. The default priority
is 0, priority 20 is the lowest possible. 
.Nm Nice
will execute
.Ar command
at priority
.Ar number
relative to the priority
of 
.Nm nice .
Higher priorities than the
current process priority can only requested by the
super-user. 
Negative numbers are expressed as
.Fl - Ns Ar number .
.Pp
The returned exit status is the exit value from the
command executed by
.Nm nice .
.Sh EXAMPLES
.Pp
$ nice -5 date
.Pp
Execute command 
.Sq date 
at priority 5 assuming the priority of the
shell is 0.
.Pp
# nice -16 nice --35 date
.Pp
Execute command 
.Sq date 
at priority -19 assuming the priority of the
shell is 0 and you are the super-user.
.Sh SEE ALSO
.Xr csh 1 ,
.Xr idprio 1 ,
.Xr getpriority 2 ,
.Xr setpriority 2 ,
.Xr renice 8
.Sh HISTORY
A
.Nm
command appeared in
.At v6 .
.Sh BUGS
.Nm Nice
is particular to
.Xr sh  1  .
If you use
.Xr csh  1  ,
then commands executed with ``&'' are automatically immune to hangup
signals while in the background.
.Pp
.Nm Nice
is built into
.Xr csh  1
with a slightly different syntax than described here.  The form
.Ql nice +10
nices to positive nice, and
.Ql nice \-10
can be used
by the super-user to give a process more of the processor.
